/* Begin Install.CMD for AdeptXBBS */

'@Echo off'
say '[0m[2J'
say ''
say '[5C[0;1;44mĿ[40m'
say '[5C[44m                [36mAdeptXBBS [37m0.92 [33mUpgrade Program                     [37m[40m'
say '[5C[44m   AdeptXBBS is copyright (c) 1995 by AdeptSoft & Mark Kimes       [40m'
say '[5C[44m                        All rights reserved                        [40m'
say '[5C[44mĴ[40m'
say '[5C[44mĴ[40m'
say '[5C[44m        By running this program, you agree to the license          [40m'
say '[5C[44m                  as specified in AdpXBBS.DOC.                     [40m'
say '[5C[44m[0m'

rc = stream('adeptins.dat','c','query exists')
if rc = '' then
do
  say 'Sorry, ADEPTINS.DAT not found.  Must not be right directory. Terminating.'
  exit
end

curdir = directory()

do
  say ''
  say 'Current sub-directory: 'curdir
  say 'Upgrade AdeptXBBS into the current'
  say 'sub-directory? (Y/N)'
  parse upper pull dummy
  if left(dummy,1) = 'N' then exit
  say ''
end

say 'Upgrading AdeptXBBS... Please wait...'
'@AdeptIns.dat /o >NUL'

rc = stream('adept.exe','c','query exists')
if rc = '' then
do
  say 'Sorry, ADEPT.EXE not found.  Must not be right directory. Terminating.'
  exit
end

do
  say ''
  say 'Overwrite your previous menus? (Y/N)'
  parse upper pull dummy
  if left(dummy,1) = 'Y' then
  do
  say 'Installing/Overwriting Menus... Please wait...'
  '@Menus.Dat /o >NUL'
  rc = stream('Menus\Main.Menu','c','query exists')
  if rc = '' then
  do
    say 'Sorry, The new menus do not appear to be in place...'
  exit
end

say ''
say 'Menus apprear to be installed properly...'
say ''

rc = stream('Xreg.dll','c','query exists')
if rc = '' then
do
    rc = stream('Dll\Xreg.dll','c','query exists')
    if rc \= '' then
    do
        '@move Dll\Xreg.dll >NUL'
    end
end

'@del Dll\*.Dll >NUL'
'@rd Dll >NUL'

/* load rexx utility functions */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/* say it, then do it */

say "Creating AdeptSoft folder..."

/* first, create AdeptSoft folder */

title = "AdeptSoft"
classname = 'WPFolder'
location = '<WP_DESKTOP>'
setup = 'OBJECTID=<AdeptSoft_Folder>;OPEN=DEFAULT'
result=SysCreateObject(classname,title,location,setup,f)

/* If folder exists, ask before updating */

if result = 0 then
do
  existed = 'TRUE'
  say ''
  say 'The AdeptXBBS folder already exists.'
  say 'Should I update the objects? (Y/N)'
  parse upper pull dummy
  if left(dummy,1) = 'N' then exit
  say ''
end

say "Creating objects in AdeptSoft folder..."

/* now, create program objects in AdeptSoft folder */

title = "AdeptXBBS 1 Node"
classname = 'WPProgram'
location = '<AdeptSoft_Folder>'
setup = 'EXENAME='curdir'\ADEPT.EXE;STARTUPDIR='curdir';PARAMETERS=/NODES 1'
call SysCreateObject classname,title,location,setup,u

title = "AdeptXBBS 2 Nodes"
classname = 'WPProgram'
location = '<AdeptSoft_Folder>'
setup = 'EXENAME='curdir'\ADEPT.EXE;STARTUPDIR='curdir';PARAMETERS=/NODES 2'
call SysCreateObject classname,title,location,setup,u

rc = stream('xsend.cmd','c','query exists')
if rc \= '' then
do
  title = "Send files"
  classname = 'WPProgram'
  location = '<AdeptSoft_Folder>'
  setup = 'EXENAME='curdir'\XSEND.CMD;STARTUPDIR='curdir
  if existed = '' then setup = setup';PARAMETERS=%* 'curdir'\\'
  call SysCreateObject classname,title,location,setup,u
end

rc = stream('fileedit.exe','c','query exists')
if rc \= '' then
do
  title = "File area editor"
  classname = 'WPProgram'
  location = '<AdeptSoft_Folder>'
  setup = 'EXENAME='curdir'\FILEEDIT.EXE;STARTUPDIR='curdir
  call SysCreateObject classname,title,location,setup,u
end

rc = stream('mail.cmd','c','query exists')
if rc \= '' then
do
  title = "Process mail"
  classname = 'WPProgram'
  location = '<AdeptSoft_Folder>'
  setup = 'EXENAME='curdir'\mail.cmd;STARTUPDIR='curdir
  call SysCreateObject classname,title,location,setup,u
end

rc = stream('reindexfiles.exe','c','query exists')
if rc \= '' then
do
  title = "Reindex File Database"
  classname = 'WPProgram'
  location = '<AdeptSoft_Folder>'
  setup = 'EXENAME='curdir'\ReIndexFiles.EXE;STARTUPDIR='curdir';PARAMETERS=/NUKE'
  call SysCreateObject classname,title,location,setup,u
end

rc = stream('reindexusers.exe','c','query exists')
if rc \= '' then
do
  title = "Reindex User File"
  classname = 'WPProgram'
  location = '<AdeptSoft_Folder>'
setup = 'EXENAME='curdir'\ReIndexUsers.Exe;STARTUPDIR='curdir
call SysCreateObject classname,title,location,setup,u
end

rc = stream('bfsmake.exe','c','query exists')
if rc \= '' then
do
  title = "Convert file areas"
  classname = 'WPProgram'
  location = '<AdeptSoft_Folder>'
  setup = 'EXENAME='curdir'\BFSMAKE.EXE;STARTUPDIR='curdir
  call SysCreateObject classname,title,location,setup,u
end

rc = stream('xmsg.cmd','c','query exists')
if rc \= '' then
do
  title = "Clean up msg areas"
  classname = 'WPProgram'
  location = '<AdeptSoft_Folder>'
  setup = 'EXENAME='curdir'\CLEAN.EXE;STARTUPDIR='curdir
  call SysCreateObject classname,title,location,setup,u
end

rc = stream('MUSTREAD.TXT','c','query exists')
if rc \= '' then
do
  title = "Must Read!"
  classname = 'WPShadow'
  location = '<AdeptSoft_Folder>'
  setup = 'SHADOWID='rc
  call SysCreateObject classname,title,location,setup,u
end

rc = stream('AdpXBBS.DOC','c','query exists')
if rc \= '' then
do
  title = "AdeptXBBS Documentation!"
  classname = 'WPShadow'
  location = '<AdeptSoft_Folder>'
  setup = 'SHADOWID='rc
  call SysCreateObject classname,title,location,setup,u
end

rc = stream('UserMod.Doc','c','query exists')
if rc \= '' then
do
  title = "Batch User Modifier"
  classname = 'WPShadow'
  location = '<AdeptSoft_Folder>'
  setup = 'SHADOWID='rc
  call SysCreateObject classname,title,location,setup,u
end

rc = stream('REGISTER.TXT','c','query exists')
if rc \= '' then
do
  title = "How to Register"
  classname = 'WPShadow'
  location = '<AdeptSoft_Folder>'
  setup = 'SHADOWID='rc
  call SysCreateObject classname,title,location,setup,u
end

  rc = directory('Menus')
  if rc \= '' then
  do
    call directory curdir
    title = "BBS Menus"
    classname = 'WPShadow'
    location = '<AdeptSoft_Folder>'
    setup = 'SHADOWID='rc
    call SysCreateObject classname,title,location,setup,u
  end

  rc = directory('Text')
  if rc \= '' then
  do
    call directory curdir
    title = "BBS Text"
    classname = 'WPShadow'
    location = '<AdeptXBBS_Folder>'
    setup = 'SHADOWID='rc
    call SysCreateObject classname,title,location,setup,u
  end

  rc = directory('System\SysNews')
  if rc \= '' then
  do
    call directory curdir
    title = "BBS System News"
    classname = 'WPShadow'
    location = '<AdeptSoft_Folder>'
    setup = 'SHADOWID='rc
    call SysCreateObject classname,title,location,setup,u
  end

  rc = directory('System\MiscNews')
  if rc \= '' then
  do
    call directory curdir
    title = "BBS Misc. News"
    classname = 'WPShadow'
    location = '<AdeptSoft_Folder>'
    setup = 'SHADOWID='rc
    call SysCreateObject classname,title,location,setup,u
  end

rc = stream('Adept.HLP','c','query exists')
if rc \= '' then
do
  rc = stream('SEEHELP.EXE','c','query exists')
  if rc \= '' then
  do
    title = "AdeptXBBS Online Help"
    classname = 'WPProgram'
    location = '<AdeptSoft_Folder>'
    setup = 'EXENAME='curdir'\SEEHELP.EXE;'
    setup = setup'STARTDIR='curdir';PARAMETERS=%*'curdir'\ADEPT.HLP'
    call SysCreateObject classname,title,location,setup,f
  end
end

rc = stream('adept.exe','c','query exists')
if rc = '' then
do
  say 'Sorry, ADEPT.EXE not found.  Unarchive does not appear to have '
  say 'been successful.'
  exit
end

do
  say ''
  say 'Install appears to have been sucessful!'
  say ''
  say 'Delete AdeptIns.dat and Menus.Dat, since we'
  say 'should not need them any longer? (Y/N)'
  parse upper pull dummy
  if left(dummy,1) = 'Y' then
  do
  '@del AdeptIns.dat >NUL'
  '@del Menus.Dat >NUL'
  end
  say ''
end

say 'Thank you for choosing AdeptSoft!'

/* END Install Program */
